Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"462c0eaf-bac3-44eb-9f8f-0029b85b2a5d","url":null,"userId":"12fe733c-a91e-4c4f-8188-101fbeb976ec","userUrl":null,"parentCommentId":"0e3968c8-4587-4f51-8649-0eb5070c253f","parentCommentUrl":null,"creationDateTime":"2026-06-11T17:55:46.2384767+00:00","lastModifiedDateTime":null,"medias":[{"id":"ba313c63-ae87-4fdb-a588-dcb07c62c94e","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"efc794c6-435f-4362-bb8c-c591207e2219","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string